import request from '@/utils/request'

// 查询工具信息列表
export function listTool(query) {
  return request({
    url: '/tool/list',
    method: 'get',
    params: query
  })
}

// 查询工具信息详细
export function getTool(toolId) {
  return request({
    url: '/tool/' + toolId,
    method: 'get'
  })
}

// 新增工具信息
export function addTool(data) {
  return request({
    url: '/tool',
    method: 'post',
    data: data
  })
}

// 修改工具信息
export function updateTool(data) {
  return request({
    url: '/tool',
    method: 'put',
    data: data
  })
}

// 删除工具信息
export function delTool(toolId) {
  return request({
    url: '/tool/' + toolId,
    method: 'delete'
  })
}
